sackd(8)

NAME
sackd - Slurm Auth and Cred Kiosk Daemon.

SYNOPSIS
sackd [OPTIONS...]

DESCRIPTION
sackd is the Slurm Auth and Cred Kiosk Daemon. It can be used on login nodes that are not running slurmd daemons to allow authentication to the cluster. The program will run as the SlurmdUser. When running in Slurm's "configless" mode, in which case configuration files are retrieved and written under the /run/slurm/conf directory.

OPTIONS

--conf-server host[:port]
    Retrieve configs from slurmctld running at host[:port]. Requires slurmctld support provided by setting enable_configless in SlurmctldParameters.

-f config
    Read configuration from the specified file.

-h  Help; print a brief summary of command options.

--systemd
    To be used when started from a systemd unit file.

-v  Verbose mode. Multiple -v's increase verbosity.

SIGNALS

SIGHUP
    sackd will reconfigure.

SIGUSR2
    This signal is explicitly ignored.

COPYING
Copyright (C) SchedMD LLC.

This file is part of Slurm, a resource management program. For details, see <https://slurm.schedmd.com/>.

Slurm is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Slurm is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5), slurmctld(8)